package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*变动记录表
* @author quyixiao
* @since 2020-10-13
*/

@Data
@TableName("lz_flow_change")
@ApiModel(value = "变动记录表")
public class FlowChange implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //审批人id
    @ApiModelProperty(value = "审批人id", name = "approvalId")
    private Long approvalId;
    //转向谁id
    @ApiModelProperty(value = "转向谁id", name = "toApprovalId")
    private Long toApprovalId;
    //谁操作的
    @ApiModelProperty(value = "谁操作的", name = "optId")
    private Long optId;
    //审批流程id
    @ApiModelProperty(value = "审批流程id", name = "flowRecordId")
    private Long flowRecordId;
    //记录id
    @ApiModelProperty(value = "记录id", name = "recordId")
    private Long recordId;
    //员工id
    @ApiModelProperty(value = "员工id", name = "staffId")
    private Long staffId;
    //0表示转交，1 表示跳过
    @ApiModelProperty(value = "0表示转交，1 表示跳过", name = "type")
    private Integer type;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 审批人id 
     * @return
     */
    public Long getApprovalId() {
        return approvalId;
    }
    /**
     * 审批人id 
     * @param approvalId
     */
    public void setApprovalId(Long approvalId) {
        this.approvalId = approvalId;
    }

    /**
     * 转向谁id 
     * @return
     */
    public Long getToApprovalId() {
        return toApprovalId;
    }
    /**
     * 转向谁id 
     * @param toApprovalId
     */
    public void setToApprovalId(Long toApprovalId) {
        this.toApprovalId = toApprovalId;
    }

    /**
     * 谁操作的 
     * @return
     */
    public Long getOptId() {
        return optId;
    }
    /**
     * 谁操作的 
     * @param optId
     */
    public void setOptId(Long optId) {
        this.optId = optId;
    }

    /**
     * 审批流程id 
     * @return
     */
    public Long getFlowRecordId() {
        return flowRecordId;
    }
    /**
     * 审批流程id 
     * @param flowRecordId
     */
    public void setFlowRecordId(Long flowRecordId) {
        this.flowRecordId = flowRecordId;
    }

    /**
     * 记录id 
     * @return
     */
    public Long getRecordId() {
        return recordId;
    }
    /**
     * 记录id 
     * @param recordId
     */
    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    /**
     * 员工id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 员工id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 0表示转交，1 表示跳过 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 0表示转交，1 表示跳过 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "FlowChange{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",approvalId=" + approvalId +
                ",toApprovalId=" + toApprovalId +
                ",optId=" + optId +
                ",flowRecordId=" + flowRecordId +
                ",recordId=" + recordId +
                ",staffId=" + staffId +
                ",type=" + type +
                "}";
    }
}